# Classes

The following classes are available globally.

- `CompactBlockProcessor`

  The compact block processor is in charge of orchestrating the download and caching of compact blocks from a LightWalletEndpoint when started the processor downloads does a download - validate - scan cycle until it reaches latest height on the blockchain.

  See more

  #### Declaration

  Swift

      public class CompactBlockProcessor

- `ZcashSDKMainnetConstants`

  Undocumented

  See more

  #### Declaration

  Swift

      public class ZcashSDKMainnetConstants : NetworkConstants

- `ZcashSDKTestnetConstants`

  Undocumented

  See more

  #### Declaration

  Swift

      public class ZcashSDKTestnetConstants : NetworkConstants

- `Initializer`

  Wrapper for all the Rust backend functionality that does not involve processing blocks. This class initializes the Rust backend and the supporting data required to exercise those abilities. The [cash.z.wallet.sdk.block.CompactBlockProcessor] handles all the remaining Rust backend functionality, related to processing blocks.

  See more

  #### Declaration

  Swift

      public class Initializer

- `LightWalletGRPCService`

  Undocumented

  See more

  #### Declaration

  Swift

      public class LightWalletGRPCService

      extension LightWalletGRPCService: LightWalletService

- `SDKSynchronizer`

  Undocumented

  See more

  #### Declaration

  Swift

      public class SDKSynchronizer : Synchronizer

- `DerivationTool`

  Undocumented

  See more

  #### Declaration

  Swift

      public class DerivationTool : KeyDeriving

      extension DerivationTool: KeyValidation

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.